class 'ExtraHiddenObjectsBase' (ExtraReplayPageBase)

function ExtraHiddenObjectsBase:__init(extraScreen, order)
	ExtraReplayPageBase.__init(self, extraScreen, 'hiddenObjectsPage', order)

	self.previewFileFormat	= 'Data/ExtraContent/Textures/Screens/Extra/HiddenObject/%s.png'
	self.previewNameFormat	= 'ho_%s'
	self.lockPreviewName	= 'ho_lock'

	table.insert(self.searchingTypes, level_modes.hidden_object)
	table.insert(self.searchingTypes, level_modes.hidden_picture)
end
-------------------------------------------------------------------------------